Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226073

Summary: Merge Review: libXfont
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: sandmann
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-15 04:29:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:30:53 UTC
Fedora Merge Review: libXfont

http://cvs.fedora.redhat.com/viewcvs/devel/libXfont/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2008-01-13 07:43:51 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint output is ok to accept
libXfont.i386: W: obsolete-not-provided XFree86-libs
libXfont.i386: W: obsolete-not-provided xorg-x11-libs
libXfont.src:19: W: unversioned-explicit-obsoletes XFree86-libs
libXfont.src:19: W: unversioned-explicit-obsoletes xorg-x11-libs
libXfont.src:33: W: unversioned-explicit-obsoletes XFree86-devel
libXfont.src:33: W: unversioned-explicit-obsoletes xorg-x11-devel
libXfont-devel.i386: W: no-documentation
libXfont-devel.i386: W: obsolete-not-provided XFree86-devel
libXfont-devel.i386: W: obsolete-not-provided xorg-x11-devel
+ source match upstream
b2f396b62633819bbdd9748383876e21  libXfont-1.3.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains contents.
+ no static libraries.
+ xfont.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ Package libXfont-1.3.1-2.fc9 =>
  Provides: libXfont.so.1
  Requires: libXfont.so.1 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libfontenc.so.1 libfreetype.so.6
libm.so.6 libm.so.6(GLIBC_2.0) libz.so.1
+ Package ibXfont-devel-1.3.1-2.fc9 =>
Requires(pre): xorg-x11-filesystem >= 0.99.2-3
Requires: libXfont = 1.3.1-2.fc9 libXfont.so.1 libfontenc-devel pkgconfig
xorg-x11-proto-devel
+ Not a GUI app.

APPROVED.